// speakers.m : handles the speakers
// by iPlayTheSpoons adaptation Pimousse38
//------------------------------

#include "../../../lib/std.mi"

Function UpdateRight(Int Var);
Function UpdateLeft(Int Var);
Function SpeakerMenuG();
Function SpeakerMenuD();
Function ProcessMenuGResult(int a);
Function ProcessMenuDResult(int b);

Global Container MainContainer;
Global Container MainContainerG;
Global Container MainContainerD;
Global Layout NormalLayout;
Global Layout NormalLayoutG;
Global Layout NormalLayoutD;
Global Group RightCont, LeftCont;
Global AnimatedLayer L_Tweeter_Vis, L_Medium_Vis, L_Boomer_Vis;
Global AnimatedLayer R_Tweeter_Vis, R_Medium_Vis, R_Boomer_Vis;
Global Button ToggleG;
Global Button ToggleD;
Global Timer VisTimer;
Global Double Level;
Global Double LevelLT, LevelLM, LevelLB, OneFrameLT, OneFrameLM, OneFrameLB;
Global Double LevelRT, LevelRM, LevelRB, OneFrameRT, OneFrameRM, OneFrameRB;
Global Int LastFrame1, LastFrame2, Speakers_G_Position, Speakers_D_Position;
Global Layer trouG, grille1G, grille2G, grille3G, grille4G, grille5G, grille6G;
Global Layer trouD, grille1D, grille2D, grille3D, grille4D, grille5D, grille6D;
Global Layer textu1G, textu2G, textu3G, textu4G, textu5G, textu6G, textu7G;
Global Layer textu1D, textu2D, textu3D, textu4D, textu5D, textu6D, textu7D;
Global Popupmenu HPMenuG, HPMenuD;

System.onScriptLoaded() { 

	MainContainer = getContainer("egaliseur");
	NormalLayout = MainContainer.getLayout("normal");

	MainContainerG = getContainer("HP_Gauche");
	NormalLayoutG = MainContainerG.getLayout("normal");

	MainContainerD = getContainer("HP_Droit");
	NormalLayoutD = MainContainerD.getLayout("normal");
	
	LeftCont = NormalLayoutG.getObject("left.speaker");
	RightCont = NormalLayoutD.getObject("right.speaker");

	L_Tweeter_Vis = LeftCont.getObject("Left_Tweeter");
	L_Medium_Vis = LeftCont.getObject("Left_Medium");
	L_Boomer_Vis = LeftCont.getObject("Left_Boomer");
	R_Tweeter_Vis = RightCont.getObject("Right_Tweeter");
	R_Medium_Vis = RightCont.getObject("Right_Medium");
	R_Boomer_Vis = RightCont.getObject("Right_Boomer");

	trouG = LeftCont.getObject("speaker.left.trous");
	grille1G = LeftCont.getObject("speakerG.grille_1");
	grille2G = LeftCont.getObject("speakerG.grille_2");
	grille3G = LeftCont.getObject("speakerG.grille_3");
	grille4G = LeftCont.getObject("speakerG.grille_4");
	grille5G = LeftCont.getObject("speakerG.grille_5");
	grille6G = LeftCont.getObject("speakerG.grille_6");
	textu1G = LeftCont.getObject("speaker.left.case_1");
	textu2G = LeftCont.getObject("speaker.left.case_2");
	textu3G = LeftCont.getObject("speaker.left.case_3");
	textu4G = LeftCont.getObject("speaker.left.case_4");
	textu5G = LeftCont.getObject("speaker.left.case_5");
	textu6G = LeftCont.getObject("speaker.left.case_6");
	textu7G = LeftCont.getObject("speaker.left.case_7");

	trouD = RightCont.getObject("speaker.right.trous");
	grille1D = RightCont.getObject("speakerD.grille_1");
	grille2D = RightCont.getObject("speakerD.grille_2");
	grille3D = RightCont.getObject("speakerD.grille_3");
	grille4D = RightCont.getObject("speakerD.grille_4");
	grille5D = RightCont.getObject("speakerD.grille_5");
	grille6D = RightCont.getObject("speakerD.grille_6");
	textu1D = RightCont.getObject("speaker.right.case_1");
	textu2D = RightCont.getObject("speaker.right.case_2");
	textu3D = RightCont.getObject("speaker.right.case_3");
	textu4D = RightCont.getObject("speaker.right.case_4");
	textu5D = RightCont.getObject("speaker.right.case_5");
	textu6D = RightCont.getObject("speaker.right.case_6");
	textu7D = RightCont.getObject("speaker.right.case_7");

	ToggleG = NormalLayout.getObject("hpgauche");
	ToggleD = NormalLayout.getObject("hpdroit");
	
	VisTimer = new Timer;
	VisTimer.setDelay(25);
	VisTimer.start();
	L_Tweeter_Vis.setSpeed(25);
	L_Medium_Vis.setSpeed(25);
	L_Boomer_Vis.setSpeed(25);
	R_Tweeter_Vis.setSpeed(25);
	R_Medium_Vis.setSpeed(25);
	R_Boomer_Vis.setSpeed(25);
	OneFrameLT = 255/(L_Tweeter_Vis.getLength());
	OneFrameLM = 255/(L_Medium_Vis.getLength());
	OneFrameLB = 255/(L_Boomer_Vis.getLength());
	OneFrameRT = 255/(R_Tweeter_Vis.getLength());
	OneFrameRM = 255/(R_Medium_Vis.getLength());
	OneFrameRB = 255/(R_Boomer_Vis.getLength());

	If (System.getPrivateInt("Pimeer", "Speakers_G_Position", 0) == 1) {
		ToggleG.leftClick();
	}
	If (System.getPrivateInt("Pimeer", "Speakers_D_Position", 0) == 1) {
		ToggleD.leftClick();
	}

	SpeakerMenuG();
	ProcessMenuGResult( ( getPrivateInt("Pimeer", "Speakers_Grille_Gauche", 0) +10) );
	ProcessMenuGResult( ( getPrivateInt("Pimeer", "Speakers_Trou_Gauche", 0) +20) );
	ProcessMenuGResult( ( getPrivateInt("Pimeer", "Speakers_Texture_Gauche", 0) +110) );
	SpeakerMenuD();
	ProcessMenuDResult( ( getPrivateInt("Pimeer", "Speakers_Grille_Droite", 0) +10) );
	ProcessMenuDResult( ( getPrivateInt("Pimeer", "Speakers_Trou_Droite", 0) +20) );
	ProcessMenuDResult( ( getPrivateInt("Pimeer", "Speakers_Texture_Droite", 0) +110) );
}

System.onScriptUnloading() {
  VisTimer.stop();
  delete VisTimer;
  delete HPMenuG;
  delete HPMenuD;
}

ToggleG.onrightbuttonup(int x, int y) {
	ProcessMenuGResult(HPMenuG.popAtMouse());
complete;
}

ToggleD.onrightbuttonup(int x, int y) {
	ProcessMenuDResult(HPMenuD.popAtMouse());
complete;
}

LeftCont.onTargetReached() {
	if(Speakers_G_Position == 1){
	VisTimer.stop();
	LeftCont.hide();
	}
}

RightCont.onTargetReached() {
	if(Speakers_D_Position == 1){
	VisTimer.stop();
	RightCont.hide();
	}
}

VisTimer.onTimer() {
	LevelLT = System.getLeftVuMeter();
		UpdateLeft(LevelLT/OneFrameLT);
	LevelLM = System.getLeftVuMeter();
		UpdateLeft(LevelLM/OneFrameLM);
	LevelLB = System.getLeftVuMeter();
		UpdateLeft(LevelLB/OneFrameLB);
	LevelRT = System.getRightVuMeter();
		UpdateRight(LevelRT/OneFrameRT);
	LevelRM = System.getRightVuMeter();
		UpdateRight(LevelRM/OneFrameRM);
	LevelRB = System.getRightVuMeter();
		UpdateRight(LevelRB/OneFrameRB);
}		

UpdateLeft(Int Var){
	{
	L_Tweeter_Vis.setStartFrame(LastFrame1);
     	L_Tweeter_Vis.setEndFrame(Var);
     	L_Tweeter_Vis.play();
	L_Medium_Vis.setStartFrame(LastFrame1);
     	L_Medium_Vis.setEndFrame(Var);
     	L_Medium_Vis.play();
	L_Boomer_Vis.setStartFrame(LastFrame1);
     	L_Boomer_Vis.setEndFrame(Var);
     	L_Boomer_Vis.play();
     	LastFrame1 = Var;
	}
}

UpdateRight(Int Var){
	{
	R_Tweeter_Vis.setStartFrame(LastFrame2);
     	R_Tweeter_Vis.setEndFrame(Var);
     	R_Tweeter_Vis.play();
	R_Medium_Vis.setStartFrame(LastFrame2);
     	R_Medium_Vis.setEndFrame(Var);
     	R_Medium_Vis.play();
	R_Boomer_Vis.setStartFrame(LastFrame2);
     	R_Boomer_Vis.setEndFrame(Var);
     	R_Boomer_Vis.play();
     	LastFrame2 = Var;
	}
}

SpeakerMenuG() {
	HPMenuG = new PopupMenu;
	HPMenuG.addCommand("Left Speaker Grid", 0, 0, 1);
	HPMenuG.addSeparator();
	HPMenuG.addCommand("No Grid", 10, 0, 0);
	HPMenuG.addCommand("Put Grid 1", 11, 0, 0);
	HPMenuG.addCommand("Put Grid 2", 12, 0, 0);
	HPMenuG.addCommand("Put Grid 3", 13, 0, 0);
	HPMenuG.addCommand("Put Grid 4", 14, 0, 0);
	HPMenuG.addCommand("Put Grid 5", 15, 0, 0);
	HPMenuG.addCommand("Put Grid 6", 16, 0, 0);
	HPMenuG.addSeparator();
	HPMenuG.addCommand("Show Grid Screw", 20, 0, 0);
	HPMenuG.addCommand("Hide Grid Screw", 21, 0, 0);
	HPMenuG.addSeparator();
	HPMenuG.addCommand("Left Speaker Texture", 100, 0, 1);
	HPMenuG.addSeparator();
	HPMenuG.addCommand("No Texture", 110, 0, 0);
	HPMenuG.addCommand("Wood Texture 1", 111, 0, 0);
	HPMenuG.addCommand("Wood Texture 2", 112, 0, 0);
	HPMenuG.addCommand("Wood Texture 3", 113, 0, 0);
	HPMenuG.addCommand("Wood Texture 4", 114, 0, 0);
	HPMenuG.addCommand("Wood Texture 5", 115, 0, 0);
	HPMenuG.addCommand("Wood Texture 6", 116, 0, 0);
complete;
}

SpeakerMenuD() {
	HPMenuD = new PopupMenu;
	HPMenuD.addCommand("Right Speaker Grid", 0, 0, 1);
	HPMenuD.addSeparator();
	HPMenuD.addCommand("No Grid", 10, 0, 0);
	HPMenuD.addCommand("Put Grid 1", 11, 0, 0);
	HPMenuD.addCommand("Put Grid 2", 12, 0, 0);
	HPMenuD.addCommand("Put Grid 3", 13, 0, 0);
	HPMenuD.addCommand("Put Grid 4", 14, 0, 0);
	HPMenuD.addCommand("Put Grid 5", 15, 0, 0);
	HPMenuD.addCommand("Put Grid 6", 16, 0, 0);
	HPMenuD.addSeparator();
	HPMenuD.addCommand("Show Grid Screw", 20, 0, 0);
	HPMenuD.addCommand("Hide Grid Screw", 21, 0, 0);
	HPMenuD.addSeparator();
	HPMenuD.addCommand("Right Speaker Texture", 100, 0, 1);
	HPMenuD.addSeparator();
	HPMenuD.addCommand("No Texture", 110, 0, 0);
	HPMenuD.addCommand("Wood Texture 1", 111, 0, 0);
	HPMenuD.addCommand("Wood Texture 2", 112, 0, 0);
	HPMenuD.addCommand("Wood Texture 3", 113, 0, 0);
	HPMenuD.addCommand("Wood Texture 4", 114, 0, 0);
	HPMenuD.addCommand("Wood Texture 5", 115, 0, 0);
	HPMenuD.addCommand("Wood Texture 6", 116, 0, 0);
complete;
}

ProcessMenuGResult(int a) {
if(a > 0) {

	if(a == 10) {
	grille1G.hide();
	grille2G.hide();
	grille3G.hide();
	grille4G.hide();
	grille5G.hide();
	grille6G.hide();
	SetprivateInt("Pimeer", "Speakers_Grille_Gauche", 0);
	HPMenuG.checkCommand(10, 1);
	HPMenuG.checkCommand(11, 0);
	HPMenuG.checkCommand(12, 0);
	HPMenuG.checkCommand(13, 0);
	HPMenuG.checkCommand(14, 0);
	HPMenuG.checkCommand(15, 0);
	HPMenuG.checkCommand(16, 0);
	}
	if(a == 11) {
	grille1G.show();
	grille2G.hide();
	grille3G.hide();
	grille4G.hide();
	grille5G.hide();
	grille6G.hide();
	SetprivateInt("Pimeer", "Speakers_Grille_Gauche", 1);
	HPMenuG.checkCommand(10, 0);
	HPMenuG.checkCommand(11, 1);
	HPMenuG.checkCommand(12, 0);
	HPMenuG.checkCommand(13, 0);
	HPMenuG.checkCommand(14, 0);
	HPMenuG.checkCommand(15, 0);
	HPMenuG.checkCommand(16, 0);
	}
	if(a == 12) {
	grille1G.hide();
	grille2G.show();
	grille3G.hide();
	grille4G.hide();
	grille5G.hide();
	grille6G.hide();
	SetprivateInt("Pimeer", "Speakers_Grille_Gauche", 2);
	HPMenuG.checkCommand(10, 0);
	HPMenuG.checkCommand(11, 0);
	HPMenuG.checkCommand(12, 1);
	HPMenuG.checkCommand(13, 0);
	HPMenuG.checkCommand(14, 0);
	HPMenuG.checkCommand(15, 0);
	HPMenuG.checkCommand(16, 0);
	}
	if(a == 13) {
	grille1G.hide();
	grille2G.hide();
	grille3G.show();
	grille4G.hide();
	grille5G.hide();
	grille6G.hide();
	SetprivateInt("Pimeer", "Speakers_Grille_Gauche", 3);
	HPMenuG.checkCommand(10, 0);
	HPMenuG.checkCommand(11, 0);
	HPMenuG.checkCommand(12, 0);
	HPMenuG.checkCommand(13, 1);
	HPMenuG.checkCommand(14, 0);
	HPMenuG.checkCommand(15, 0);
	HPMenuG.checkCommand(16, 0);
	}
	if(a == 14) {
	grille1G.hide();
	grille2G.hide();
	grille3G.hide();
	grille4G.show();
	grille5G.hide();
	grille6G.hide();
	SetprivateInt("Pimeer", "Speakers_Grille_Gauche", 4);
	HPMenuG.checkCommand(10, 0);
	HPMenuG.checkCommand(11, 0);
	HPMenuG.checkCommand(12, 0);
	HPMenuG.checkCommand(13, 0);
	HPMenuG.checkCommand(14, 1);
	HPMenuG.checkCommand(15, 0);
	HPMenuG.checkCommand(16, 0);
	}
	if(a == 15) {
	grille1G.hide();
	grille2G.hide();
	grille3G.hide();
	grille4G.hide();
	grille5G.show();
	grille6G.hide();
	SetprivateInt("Pimeer", "Speakers_Grille_Gauche", 5);
	HPMenuG.checkCommand(10, 0);
	HPMenuG.checkCommand(11, 0);
	HPMenuG.checkCommand(12, 0);
	HPMenuG.checkCommand(13, 0);
	HPMenuG.checkCommand(14, 0);
	HPMenuG.checkCommand(15, 1);
	HPMenuG.checkCommand(16, 0);
	}
	if(a == 16) {
	grille1G.hide();
	grille2G.hide();
	grille3G.hide();
	grille4G.hide();
	grille5G.hide();
	grille6G.show();
	SetprivateInt("Pimeer", "Speakers_Grille_Gauche", 6);
	HPMenuG.checkCommand(10, 0);
	HPMenuG.checkCommand(11, 0);
	HPMenuG.checkCommand(12, 0);
	HPMenuG.checkCommand(13, 0);
	HPMenuG.checkCommand(14, 0);
	HPMenuG.checkCommand(15, 0);
	HPMenuG.checkCommand(16, 1);
	}

	if(a == 20) {
	trouG.show();
	SetprivateInt("Pimeer", "Speakers_Trou_Gauche", 0);
	HPMenuG.checkCommand(20, 1);
	HPMenuG.checkCommand(21, 0);
	} 
	if(a == 21) {
	trouG.hide();
	SetprivateInt("Pimeer", "Speakers_Trou_Gauche", 1);
	HPMenuG.checkCommand(20, 0);
	HPMenuG.checkCommand(21, 1);
	}

	if(a == 110) {
	textu1G.show();
	textu2G.hide();
	textu3G.hide();
	textu4G.hide();
	textu5G.hide();
	textu6G.hide();
	textu7G.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Gauche", 0);
	HPMenuG.checkCommand(110, 1);
	HPMenuG.checkCommand(111, 0);
	HPMenuG.checkCommand(112, 0);
	HPMenuG.checkCommand(113, 0);
	HPMenuG.checkCommand(114, 0);
	HPMenuG.checkCommand(115, 0);
	HPMenuG.checkCommand(116, 0);
	}
	if(a == 111) {
	textu1G.hide();
	textu2G.show();
	textu3G.hide();
	textu4G.hide();
	textu5G.hide();
	textu6G.hide();
	textu7G.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Gauche", 1);
	HPMenuG.checkCommand(110, 0);
	HPMenuG.checkCommand(111, 1);
	HPMenuG.checkCommand(112, 0);
	HPMenuG.checkCommand(113, 0);
	HPMenuG.checkCommand(114, 0);
	HPMenuG.checkCommand(115, 0);
	HPMenuG.checkCommand(116, 0);
	}
	if(a == 112) {
	textu1G.hide();
	textu2G.hide();
	textu3G.show();
	textu4G.hide();
	textu5G.hide();
	textu6G.hide();
	textu7G.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Gauche", 2);
	HPMenuG.checkCommand(110, 0);
	HPMenuG.checkCommand(111, 0);
	HPMenuG.checkCommand(112, 1);
	HPMenuG.checkCommand(113, 0);
	HPMenuG.checkCommand(114, 0);
	HPMenuG.checkCommand(115, 0);
	HPMenuG.checkCommand(116, 0);
	}
	if(a == 113) {
	textu1G.hide();
	textu2G.hide();
	textu3G.hide();
	textu4G.show();
	textu5G.hide();
	textu6G.hide();
	textu7G.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Gauche", 3);
	HPMenuG.checkCommand(110, 0);
	HPMenuG.checkCommand(111, 0);
	HPMenuG.checkCommand(112, 0);
	HPMenuG.checkCommand(113, 1);
	HPMenuG.checkCommand(114, 0);
	HPMenuG.checkCommand(115, 0);
	HPMenuG.checkCommand(116, 0);
	}
	if(a == 114) {
	textu1G.hide();
	textu2G.hide();
	textu3G.hide();
	textu4G.hide();
	textu5G.show();
	textu6G.hide();
	textu7G.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Gauche", 4);
	HPMenuG.checkCommand(110, 0);
	HPMenuG.checkCommand(111, 0);
	HPMenuG.checkCommand(112, 0);
	HPMenuG.checkCommand(113, 0);
	HPMenuG.checkCommand(114, 1);
	HPMenuG.checkCommand(115, 0);
	HPMenuG.checkCommand(116, 0);
	}
	if(a == 115) {
	textu1G.hide();
	textu2G.hide();
	textu3G.hide();
	textu4G.hide();
	textu5G.hide();
	textu6G.show();
	textu7G.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Gauche", 5);
	HPMenuG.checkCommand(110, 0);
	HPMenuG.checkCommand(111, 0);
	HPMenuG.checkCommand(112, 0);
	HPMenuG.checkCommand(113, 0);
	HPMenuG.checkCommand(114, 0);
	HPMenuG.checkCommand(115, 1);
	HPMenuG.checkCommand(116, 0);
	}
	if(a == 116) {
	textu1G.hide();
	textu2G.hide();
	textu3G.hide();
	textu4G.hide();
	textu5G.hide();
	textu6G.hide();
	textu7G.show();
	setPrivateInt("Pimeer", "Speakers_Texture_Gauche", 6);
	HPMenuG.checkCommand(110, 0);
	HPMenuG.checkCommand(111, 0);
	HPMenuG.checkCommand(112, 0);
	HPMenuG.checkCommand(113, 0);
	HPMenuG.checkCommand(114, 0);
	HPMenuG.checkCommand(115, 0);
	HPMenuG.checkCommand(116, 1);
	}
}
complete;
}

ProcessMenuDResult(int b) {
if(b > 0) {

	if(b == 10) {
	grille1D.hide();
	grille2D.hide();
	grille3D.hide();
	grille4D.hide();
	grille5D.hide();
	grille6D.hide();
	setPrivateInt("Pimeer", "Speakers_Grille_Droite", 0);
	HPMenuD.checkCommand(10, 1);
	HPMenuD.checkCommand(11, 0);
	HPMenuD.checkCommand(12, 0);
	HPMenuD.checkCommand(13, 0);
	HPMenuD.checkCommand(14, 0);
	HPMenuD.checkCommand(15, 0);
	HPMenuD.checkCommand(16, 0);
	}
	if(b == 11) {
	grille1D.show();
	grille2D.hide();
	grille3D.hide();
	grille4D.hide();
	grille5D.hide();
	grille6D.hide();
	setPrivateInt("Pimeer", "Speakers_Grille_Droite", 1);
	HPMenuD.checkCommand(10, 0);
	HPMenuD.checkCommand(11, 1);
	HPMenuD.checkCommand(12, 0);
	HPMenuD.checkCommand(13, 0);
	HPMenuD.checkCommand(14, 0);
	HPMenuD.checkCommand(15, 0);
	HPMenuD.checkCommand(16, 0);
	}
	if(b == 12) {
	grille1D.hide();
	grille2D.show();
	grille3D.hide();
	grille4D.hide();
	grille5D.hide();
	grille6D.hide();
	setPrivateInt("Pimeer", "Speakers_Grille_Droite", 2);
	HPMenuD.checkCommand(10, 0);
	HPMenuD.checkCommand(11, 0);
	HPMenuD.checkCommand(12, 1);
	HPMenuD.checkCommand(13, 0);
	HPMenuD.checkCommand(14, 0);
	HPMenuD.checkCommand(15, 0);
	HPMenuD.checkCommand(16, 0);
	}
	if(b == 13) {
	grille1D.hide();
	grille2D.hide();
	grille3D.show();
	grille4D.hide();
	grille5D.hide();
	grille6D.hide();
	setPrivateInt("Pimeer", "Speakers_Grille_Droite", 3);
	HPMenuD.checkCommand(10, 0);
	HPMenuD.checkCommand(11, 0);
	HPMenuD.checkCommand(12, 0);
	HPMenuD.checkCommand(13, 1);
	HPMenuD.checkCommand(14, 0);
	HPMenuD.checkCommand(15, 0);
	HPMenuD.checkCommand(16, 0);
	}
	if(b == 14) {
	grille1D.hide();
	grille2D.hide();
	grille3D.hide();
	grille4D.show();
	grille5D.hide();
	grille6D.hide();
	setPrivateInt("Pimeer", "Speakers_Grille_Droite", 4);
	HPMenuD.checkCommand(10, 0);
	HPMenuD.checkCommand(11, 0);
	HPMenuD.checkCommand(12, 0);
	HPMenuD.checkCommand(13, 0);
	HPMenuD.checkCommand(14, 1);
	HPMenuD.checkCommand(15, 0);
	HPMenuD.checkCommand(16, 0);
	}
	if(b == 15) {
	grille1D.hide();
	grille2D.hide();
	grille3D.hide();
	grille4D.hide();
	grille5D.show();
	grille6D.hide();
	setPrivateInt("Pimeer", "Speakers_Grille_Droite", 5);
	HPMenuD.checkCommand(10, 0);
	HPMenuD.checkCommand(11, 0);
	HPMenuD.checkCommand(12, 0);
	HPMenuD.checkCommand(13, 0);
	HPMenuD.checkCommand(14, 0);
	HPMenuD.checkCommand(15, 1);
	HPMenuD.checkCommand(16, 0);
	}
	if(b == 16) {
	grille1D.hide();
	grille2D.hide();
	grille3D.hide();
	grille4D.hide();
	grille5D.hide();
	grille6D.show();
	setPrivateInt("Pimeer", "Speakers_Grille_Droite", 6);
	HPMenuD.checkCommand(10, 0);
	HPMenuD.checkCommand(11, 0);
	HPMenuD.checkCommand(12, 0);
	HPMenuD.checkCommand(13, 0);
	HPMenuD.checkCommand(14, 0);
	HPMenuD.checkCommand(15, 0);
	HPMenuD.checkCommand(16, 1);
	}

	if(b == 20) {
	trouD.show();
	SetprivateInt("Pimeer", "Speakers_Trou_Droite", 0);
	HPMenuD.checkCommand(20, 1);
	HPMenuD.checkCommand(21, 0);
	} 
	if(b == 21) {
	trouD.hide();
	SetprivateInt("Pimeer", "Speakers_Trou_Droite", 1);
	HPMenuD.checkCommand(20, 0);
	HPMenuD.checkCommand(21, 1);
	}

	if(b == 110) {
	textu1D.show();
	textu2D.hide();
	textu3D.hide();
	textu4D.hide();
	textu5D.hide();
	textu6D.hide();
	textu7D.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Droite", 0);
	HPMenuD.checkCommand(110, 1);
	HPMenuD.checkCommand(111, 0);
	HPMenuD.checkCommand(112, 0);
	HPMenuD.checkCommand(113, 0);
	HPMenuD.checkCommand(114, 0);
	HPMenuD.checkCommand(115, 0);
	HPMenuD.checkCommand(116, 0);
	}
	if(b == 111) {
	textu1D.hide();
	textu2D.show();
	textu3D.hide();
	textu4D.hide();
	textu5D.hide();
	textu6D.hide();
	textu7D.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Droite", 1);
	HPMenuD.checkCommand(110, 0);
	HPMenuD.checkCommand(111, 1);
	HPMenuD.checkCommand(112, 0);
	HPMenuD.checkCommand(113, 0);
	HPMenuD.checkCommand(114, 0);
	HPMenuD.checkCommand(115, 0);
	HPMenuD.checkCommand(116, 0);
	}
	if(b == 112) {
	textu1D.hide();
	textu2D.hide();
	textu3D.show();
	textu4D.hide();
	textu5D.hide();
	textu6D.hide();
	textu7D.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Droite", 2);
	HPMenuD.checkCommand(110, 0);
	HPMenuD.checkCommand(111, 0);
	HPMenuD.checkCommand(112, 1);
	HPMenuD.checkCommand(113, 0);
	HPMenuD.checkCommand(114, 0);
	HPMenuD.checkCommand(115, 0);
	HPMenuD.checkCommand(116, 0);
	}
	if(b == 113) {
	textu1D.hide();
	textu2D.hide();
	textu3D.hide();
	textu4D.show();
	textu5D.hide();
	textu6D.hide();
	textu7D.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Droite", 3);
	HPMenuD.checkCommand(110, 0);
	HPMenuD.checkCommand(111, 0);
	HPMenuD.checkCommand(112, 0);
	HPMenuD.checkCommand(113, 1);
	HPMenuD.checkCommand(114, 0);
	HPMenuD.checkCommand(115, 0);
	HPMenuD.checkCommand(116, 0);
	}
	if(b == 114) {
	textu1D.hide();
	textu2D.hide();
	textu3D.hide();
	textu4D.hide();
	textu5D.show();
	textu6D.hide();
	textu7D.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Droite", 4);
	HPMenuD.checkCommand(110, 0);
	HPMenuD.checkCommand(111, 0);
	HPMenuD.checkCommand(112, 0);
	HPMenuD.checkCommand(113, 0);
	HPMenuD.checkCommand(114, 1);
	HPMenuD.checkCommand(115, 0);
	HPMenuD.checkCommand(116, 0);
	}
	if(b == 115) {
	textu1D.hide();
	textu2D.hide();
	textu3D.hide();
	textu4D.hide();
	textu5D.hide();
	textu6D.show();
	textu7D.hide();
	setPrivateInt("Pimeer", "Speakers_Texture_Droite", 5);
	HPMenuD.checkCommand(110, 0);
	HPMenuD.checkCommand(111, 0);
	HPMenuD.checkCommand(112, 0);
	HPMenuD.checkCommand(113, 0);
	HPMenuD.checkCommand(114, 0);
	HPMenuD.checkCommand(115, 1);
	HPMenuD.checkCommand(116, 0);
	}
	if(b == 116) {
	textu1D.hide();
	textu2D.hide();
	textu3D.hide();
	textu4D.hide();
	textu5D.hide();
	textu6D.hide();
	textu7D.show();
	setPrivateInt("Pimeer", "Speakers_Texture_Droite", 6);
	HPMenuD.checkCommand(110, 0);
	HPMenuD.checkCommand(111, 0);
	HPMenuD.checkCommand(112, 0);
	HPMenuD.checkCommand(113, 0);
	HPMenuD.checkCommand(114, 0);
	HPMenuD.checkCommand(115, 0);
	HPMenuD.checkCommand(116, 1);
	}
}
complete;
}
